## gweather-prefs gweather-prefs |

## Synopsis

    #define             GCONF_TEMP_UNIT
    #define             GCONF_SPEED_UNIT
    #define             GCONF_PRESSURE_UNIT
    #define             GCONF_DISTANCE_UNIT
    struct              GWeatherPrefs;
    void                gweather_prefs_load                 (GWeatherPrefs *prefs,
                                                             GWeatherGConf *ctx);
    const char *	       gweather_prefs_temp_enum_to_string  (TempUnit temp);
    const char *	       gweather_prefs_speed_enum_to_string (SpeedUnit speed);
    const char *	       gweather_prefs_pressure_enum_to_string
                                                            (PressureUnit pressure);
    const char *	       gweather_prefs_distance_enum_to_string
                                                            (DistanceUnit distance);
    TempUnit            gweather_prefs_parse_temperature    (const char *str,
                                                             gboolean *is_default);
    SpeedUnit           gweather_prefs_parse_speed          (const char *str,
                                                             gboolean *is_default);
    const char *	       gweather_prefs_get_temp_display_name
                                                            (TempUnit temp);
    const char *	       gweather_prefs_get_speed_display_name
                                                            (SpeedUnit speed);
    const char *	       gweather_prefs_get_pressure_display_name
                                                            (PressureUnit pressure);
    const char *	       gweather_prefs_get_distance_display_name
                                                            (DistanceUnit distance);

## Description

## Details

### GCONF_TEMP_UNIT

    #define GCONF_TEMP_UNIT     "temperature_unit"

### GCONF_SPEED_UNIT

    #define GCONF_SPEED_UNIT    "speed_unit"

### GCONF_PRESSURE_UNIT

    #define GCONF_PRESSURE_UNIT "pressure_unit"

### GCONF_DISTANCE_UNIT

    #define GCONF_DISTANCE_UNIT "distance_unit"

### struct GWeatherPrefs

    struct GWeatherPrefs {
        WeatherLocation *location;
        gint update_interval;  /* in seconds */
        gboolean update_enabled;
        gboolean detailed;
        gboolean radar_enabled;
        gboolean use_custom_radar_url;
        gchar *radar;

        TempUnit     temperature_unit;
        gboolean     use_temperature_default;
        SpeedUnit    speed_unit;
        gboolean     use_speed_default;
        PressureUnit pressure_unit;
        gboolean     use_pressure_default;
        DistanceUnit distance_unit;
        gboolean     use_distance_default;
    };

### gweather_prefs_load ()

    void                gweather_prefs_load                 (GWeatherPrefs *prefs,
                                                             GWeatherGConf *ctx);

`prefs` : |
`ctx` : |

### gweather_prefs_temp_enum_to_string ()

    const char *	       gweather_prefs_temp_enum_to_string  (TempUnit temp);

`temp` : |
Returns : |

### gweather_prefs_speed_enum_to_string ()

    const char *	       gweather_prefs_speed_enum_to_string (SpeedUnit speed);

`speed` : |
Returns : |

### gweather_prefs_pressure_enum_to_string ()

    const char *	       gweather_prefs_pressure_enum_to_string
                                                            (PressureUnit pressure);

`pressure` : |
Returns : |

### gweather_prefs_distance_enum_to_string ()

    const char *	       gweather_prefs_distance_enum_to_string
                                                            (DistanceUnit distance);

`distance` : |
Returns : |

### gweather_prefs_parse_temperature ()

    TempUnit            gweather_prefs_parse_temperature    (const char *str,
                                                             gboolean *is_default);

`str` : |
`is_default` : |
Returns : |

### gweather_prefs_parse_speed ()

    SpeedUnit           gweather_prefs_parse_speed          (const char *str,
                                                             gboolean *is_default);

`str` : |
`is_default` : |
Returns : |

### gweather_prefs_get_temp_display_name ()

    const char *	       gweather_prefs_get_temp_display_name
                                                            (TempUnit temp);

`temp` : |
Returns : |

### gweather_prefs_get_speed_display_name ()

    const char *	       gweather_prefs_get_speed_display_name
                                                            (SpeedUnit speed);

`speed` : |
Returns : |

### gweather_prefs_get_pressure_display_name ()

    const char *	       gweather_prefs_get_pressure_display_name
                                                            (PressureUnit pressure);

`pressure` : |
Returns : |

### gweather_prefs_get_distance_display_name ()

    const char *	       gweather_prefs_get_distance_display_name
                                                            (DistanceUnit distance);

`distance` : |
Returns : |